#ifndef MAIN_H
#define MAIN_H

#include "charm++.h"
#include "main.decl.h"
#include "testcharm.h"

extern CkChareID mainhandle;

class main : public Chare
{
  private:
    double starttests;
  public:
    main(CkArgMsg *);
    void testend(Msg *);
};

#endif
